<?php
/**
* 2007-2016 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2016 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

class AdminProductHitsController extends ModuleAdminController {

	public function __construct()
	{
		$this->className = 'Hits';
		$this->table = 'producthits';
		$this->deleted = false;
		$this->identifier = 'id_producthits';
		$this->bootstrap = true;
		$this->explicitSelect = true;
		$this->context = Context::getContext();

		$this->fields_list = array(
			'id_producthits' => array('title' => $this->l('ID'), 'align' => 'center', 'width' => 30),
			'id_product' => array('title' => $this->l('Product'), 'callback' => 'getProductName'),
			'hits' => array('title' => $this->l('Hits')),
			);

		$this->bulk_actions = array(
			'delete' => array(
				'text' => $this->l('Delete selected'),
				'confirm' => $this->l('Delete selected items?'),
				'icon' => 'icon-trash'
			)
		);
		parent::__construct();
	}

	public function initToolbar()
	{
		parent::initToolbar();
		unset($this->toolbar_btn['new']);
	}

	public function renderList()
	{
		$this->addRowAction('delete');
		return parent::renderList();
	}

	public static function getProductName($id, $tr)
	{
		$product = new Product;
		$return = $product->getProductName($id);
		return $return;
	}
}
